html, body {
    height: 100vh;
}

#tour-player {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
}

/* Цвет информационных маркеров */
#markers .button {
    /*background: #ff5454;*/
    background-position: center;
    background-repeat: no-repeat;
    background-size: 16px;
    background-color: #0D0D0D;
}

#markers .button:hover {
    transform: scale(1.2);
}

#markers .button.up {
    background-image: url(../images/icons/long_up_arrow_s.svg);
}

#markers .button.right {
    background-image: url(../images/icons/long_right_arrow_s.svg);
}

#markers .button.left {
    background-image: url(../images/icons/long_left_arrow_s.svg);
}

#markers .button.down {
    background-image: url(../images/icons/long_down_arrow_s.svg);
}

.slider .slider-button {
    background-position: center;
    background-repeat: no-repeat;
}

.slider .slider-button.next {
    background-image: url(../images/icons/long_right_arrow_s.svg);
}

.slider .slider-button.prev {
    background-image: url(../images/icons/long_left_arrow_s.svg);
}

#markers .marker {
    width: 40px;
    height: 40px;

}

#markers .marker:hover {
    z-index: 1;
}

#markers .info {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    width: 20px;
    height: 20px;
    background: white;
    background-image: none !important;
    border-radius: 50%;
    box-shadow: inset 0 0 0 6px #00b4db;
    border: 2px solid #00b4db;
    box-sizing: border-box;
    /*                margin-left: -12px;
                    margin-top: -12px;*/
}

ul > li {
    margin-bottom: 0.2em;
    line-height: 1.4em;
}

/* Цвет полосы загрузки */
#control-panel .progress-bar .value {
    background: #00b4db;
}

#gallery ul li.active {
    box-shadow: 0 0 0 5px #00b4db;
}

.popup-layout .popup {
    max-width: 400px;
    border-radius: 7px;
    /*background: #fbfbfb;*/
}

body, html, .background-image__wrapper {
    position: fixed;
    overflow: hidden;
}

#control-panel {
    bottom: 100px !important;
}

.cursor {
    z-index: 5;
    width: 32px;
    height: 32px;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    border: 2px solid black;
    border-radius: 100%;
    box-shadow: 0px 0px 0px 2px rgb(255, 255, 255);
    pointer-events: none;
}


/*======*/

.popup-layout .popup {
    max-width: 460px;
}


.plan {
    border-radius: 6px;
    box-sizing: border-box;
    display: none;
    width: 100%;
    max-height: 100%;
    max-width: 380px;
    /*height: 390px;*/
    right: 40px;
    bottom: 110px;
    position: absolute;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    overflow: hidden;
    padding: 18px;
    pointer-events: none;
}

.floor {
    position: relative;
    /*width: 340px;
    height: 360px;*/
    width: 100%;
    background-size: contain;
    background-position: right top;
    background-repeat: no-repeat;
}

.floor:after {
    content: '';
    display: block;
    padding-top: 109%;
}

.floor .marker {
    position: absolute;
    border-radius: 100%;
    width: 4px;
    height: 4px;
    margin-left: -2px;
    margin-top: -2px;
    background-color: white;
    opacity: 0.7;
    transition: all .5s ease;
    pointer-events: auto;
}

.floor .marker.active {
    transform: scale(1.5);
    background-color: #00b4db;
    opacity: 1;
}

.floor .marker:before {
    content: '';
    display: block;
    height: 16px;
    width: 16px;
    position: absolute;
    top: -6px;
    left: -6px;
    border-radius: 100%;
    opacity: 0;
    cursor: pointer;
}

.plan canvas {
    position: absolute;
    margin-left: -50px;
    margin-top: -50px;
    pointer-events: none;
}

.plan-button:hover {
    background: #222;
}

.plan-button.show {
    position: fixed;
    right: 1em;
    bottom: 1em;
}

.plan-button.hide {
    position: absolute;
    right: 1em;
    bottom: 1em;
}

body.plan-show .plan {
    display: block;

}

body.plan-show .plan-button.show {
    display: none;
}

@media screen and (orientation: landscape) {
    .plan {
        /*width: calc(90vh - 2em);*/
        width: 90vh;
    }
}

@media screen and (max-height: 220px) {
    .plan {
        display: none !important;
    }
}

@media screen and (max-width: 220px) {
    .plan {
        display: none !important;
    }
}


@media screen and (max-width: 414px) {
    .plan {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        /*max-width: calc(100% - 37px);*/
        max-width: 100%;
    }

    .floor {
        top: 15%;
    }

    /*.control-btn.fullscreen {*/
    /*    display: none;*/
    /*}*/

    .btn-layout .control-btn {
        margin: 24px;
        margin-bottom: 110px;
    }

    .btn-layout .light-switch {
        margin: 24px;
    }
}

.tape {
    transition: transform .3s ease, height .3s ease !important;
}

.control-btn {
    pointer-events: auto;
    position: absolute;
    width: 48px;
    height: 48px;
    background-color: rgba(255, 255, 255, 0.1);
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
    margin: 40px;
    border-radius: 50%;
    backdrop-filter: blur(10px);
}

.btn-layout {
    width: 100%;
    height: 100%;
    z-index: 2;
    position: absolute;
    pointer-events: none;
    box-sizing: border-box;
}

.control-btn.fullscreen {
    top: 0;
    right: 0;
    background-image: url(../images/icons/full_screen.svg);
}

.light-switch {
    width: 96px;
    height: 48px;
    bottom: 0;
    left: 0;
    margin: 40px;
    background-color: #00b4db;
    position: absolute;
    border-radius: 24px;
    background-color: rgba(255, 255, 255, 0.1);
    cursor: pointer;
    transform: translate(0, 0);
    backdrop-filter: blur(10px);
    display: none;
}

.light-switch .togler {
    position: absolute;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    left: 0;
    background-color: white;
    transition: left 0.3s ease;
    will-change: left;
}

.light-switch.night .togler {
    left: 48px;
}

.control-btn.bl {
    background-image: url(../images/icons/map.svg);
    right: 0;
    bottom: 0;
}

.light-switch .control-btn {
    background-color: transparent;
    transition: background-image .3s ease;
    will-change: background-image;
    margin: 0;
    backdrop-filter: none;
}

.light-switch .control-btn.day {
    background-image: url(../images/icons/day_activ.svg);
    left: 0;
}

.light-switch .control-btn.night {
    background-image: url(../images/icons/night.svg);
    right: 0;
}


.light-switch.night .control-btn.day {
    background-image: url(../images/icons/day.svg);
}

.light-switch.night .control-btn.night {
    background-image: url(../images/icons/night_activ.svg);
}

.popups .content h2 {
    font-weight: 600;
    font-size: 2em;
    margin-top: 0em;
    margin-bottom: 0;
}

.popups .content p {
    margin-bottom: 1.5em;
    margin-bottom: 0em;
    margin-top: .2em;
    font-size: 1.2em;
}


.popups .content a.btn {
    background-color: #00b4db;
    padding: 8px 14px;
    border: none;
    border-radius: 3px;
    color: white;
    text-decoration: none;
    font-weight: 600;
    margin-top: 1em;
    display: inline-block;
}

.popups .content a.btn.alt {
    margin-top: 0.5em;
    margin-bottom: 2em;
}

.popup-layout .popup .content {
    padding-bottom: 2.5em;
}